PyFile (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyFile

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyFile

All Implemented Interfaces:
  java.io.Serializable

public class PyFile
extends PyObject

A python file wrapper around a java stream, reader/writer or file.

See Also:
  Serialized Form

Field Summary
`boolean` | `closed`
`java.lang.String` | `mode`
`java.lang.String` | `name`
`boolean` | `softspace`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyFile(java.io.InputStream istream)`
`PyFile(java.io.InputStream istream, java.io.OutputStream ostream)`
`PyFile(java.io.InputStream istream, java.io.OutputStream ostream, java.lang.String name)`
`PyFile(java.io.InputStream istream, java.io.OutputStream ostream, java.lang.String name, java.lang.String mode)`
`PyFile(java.io.InputStream istream, java.lang.String name)`
`PyFile(java.io.InputStream istream, java.lang.String name, java.lang.String mode)`
`PyFile(java.io.OutputStream ostream)`
`PyFile(java.io.OutputStream ostream, java.lang.String name)`
`PyFile(java.io.OutputStream ostream, java.lang.String name, java.lang.String mode)`
`PyFile(org.python.core.PyFile.FileWrapper file, java.lang.String name, java.lang.String mode)`
`PyFile(java.io.RandomAccessFile file)`
`PyFile(java.io.RandomAccessFile file, java.lang.String name)`
`PyFile(java.io.RandomAccessFile file, java.lang.String name, java.lang.String mode)`
`PyFile(java.lang.String name, java.lang.String mode, int bufsize)`
`PyFile(java.io.Writer ostream)`
`PyFile(java.io.Writer ostream, java.lang.String name)`
`PyFile(java.io.Writer ostream, java.lang.String name, java.lang.String mode)`

Method Summary
`void` | `__setattr__(java.lang.String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`java.lang.Object` | `__tojava__(java.lang.Class cls)` Equivalent to the Jython __tojava__ method.
`void` | `close()`
`PyObject` | `fileno()`
`void` | `flush()`
`PyString` | `read()`
`PyString` | `read(int n)`
`PyString` | `readline()`
`PyString` | `readline(int max)`
`PyObject` | `readlines()`
`PyObject` | `readlines(int sizehint)`
`void` | `seek(long pos)`
`void` | `seek(long pos, int how)`
`long` | `tell()`
`java.lang.String` | `toString()`
`void` | `truncate()`
`void` | `truncate(long position)`
`void` | `write(java.lang.String s)`
`void` | `writelines(PyObject a)`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### mode

    public java.lang.String mode

### softspace

    public boolean softspace

### closed

    public boolean closed

Constructor Detail

### PyFile

    public PyFile(org.python.core.PyFile.FileWrapper file,
                  java.lang.String name,
                  java.lang.String mode)

### PyFile

    public PyFile(java.io.InputStream istream,
                  java.io.OutputStream ostream,
                  java.lang.String name,
                  java.lang.String mode)

### PyFile

    public PyFile(java.io.InputStream istream,
                  java.io.OutputStream ostream,
                  java.lang.String name)

### PyFile

    public PyFile(java.io.InputStream istream,
                  java.io.OutputStream ostream)

### PyFile

    public PyFile(java.io.InputStream istream,
                  java.lang.String name,
                  java.lang.String mode)

### PyFile

    public PyFile(java.io.InputStream istream,
                  java.lang.String name)

### PyFile

    public PyFile(java.io.InputStream istream)

### PyFile

    public PyFile(java.io.OutputStream ostream,
                  java.lang.String name,
                  java.lang.String mode)

### PyFile

    public PyFile(java.io.OutputStream ostream,
                  java.lang.String name)

### PyFile

    public PyFile(java.io.OutputStream ostream)

### PyFile

    public PyFile(java.io.Writer ostream,
                  java.lang.String name,
                  java.lang.String mode)

### PyFile

    public PyFile(java.io.Writer ostream,
                  java.lang.String name)

### PyFile

    public PyFile(java.io.Writer ostream)

### PyFile

    public PyFile(java.io.RandomAccessFile file,
                  java.lang.String name,
                  java.lang.String mode)

### PyFile

    public PyFile(java.io.RandomAccessFile file,
                  java.lang.String name)

### PyFile

    public PyFile(java.io.RandomAccessFile file)

### PyFile

    public PyFile(java.lang.String name,
                  java.lang.String mode,
                  int bufsize)

Method Detail

### __setattr__

    public void __setattr__(java.lang.String name,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `name` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### __tojava__

    public java.lang.Object __tojava__(java.lang.Class cls)

  Description copied from class: `PyObject`
  Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.

  Overrides:
    `__tojava__` in class `PyObject`
  Parameters:
    `cls` - the Class to convert this `PyObject` to.

### read

    public PyString read(int n)

### read

    public PyString read()

### readline

    public PyString readline(int max)

### readline

    public PyString readline()

### readlines

    public PyObject readlines(int sizehint)

### readlines

    public PyObject readlines()

### write

    public void write(java.lang.String s)

### writelines

    public void writelines(PyObject a)

### tell

    public long tell()

### seek

    public void seek(long pos,
                     int how)

### seek

    public void seek(long pos)

### flush

    public void flush()

### close

    public void close()

### truncate

    public void truncate()

### truncate

    public void truncate(long position)

### fileno

    public PyObject fileno()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage